import pandas as pd
import os
import re
from manejoArchivos import select_file

def transformar_texto(texto):
    # Sustituir [[digits]] por <>
    texto_transformado = re.sub(r'\[\[digits\]\]', '<>', texto)
    # Sustituir cualquier <...> por <#>
    texto_transformado = re.sub(r'<.*?>', '<#>', texto_transformado)
    return texto_transformado

def exportar_para_traduccion(archivo_maestro):
    if not os.path.exists(archivo_maestro):
        print("El archivo maestro no existe.")
        return

    df_maestro = pd.read_excel(archivo_maestro)

    # Crear un nuevo DataFrame para la exportación
    df_export = pd.DataFrame()

    # Copiar la primera columna tal cual
    df_export[df_maestro.columns[0]] = df_maestro[df_maestro.columns[0]]

    # Transformar las demás columnas
    for columna in df_maestro.columns[1:]:
        df_export[columna] = df_maestro[columna].apply(lambda x: transformar_texto(str(x)) if pd.notnull(x) else x)

    # Guardar el archivo exportado
    ruta_export = os.path.join(os.path.dirname(archivo_maestro), '/data/2_master_export2translate.xlsx')
    df_export.to_excel(ruta_export, index=False)
    print(f"Archivo exportado para traducción: {ruta_export}")

if __name__ == "__main__":
    archivo_maestro = "/data/1_hmi_master_translates.xlsx"
    exportar_para_traduccion(archivo_maestro)
